TEMPLATE        = app
DESTDIR         = ..

CONFIG          += qt debug_and_release warn_on # build_all
CONFIG          += meegotouch

QT += core gui

MOC_DIR         = ../.moc
LIBS            += -L..

CONFIG(debug, debug|release) {
    OBJECTS_DIR = ../.objs_d
    TARGET      = meego-terminal_d
    LIBS        += -lqgraphicstermwidget_d
    PRE_TARGETDEPS += ../libqgraphicstermwidget_d.a
} else {
    OBJECTS_DIR = ../.objs
    TARGET      = meego-terminal
    LIBS        += -lqgraphicstermwidget
    PRE_TARGETDEPS += ../libqgraphicstermwidget.a
}

HEADERS         = MTermWidget.h MTerminalDisplay.h
SOURCES         = main.cpp MTermWidget.cpp MTerminalDisplay.cpp

INCLUDEPATH     = ../lib

#LIBS           += -L.. -lqgraphicstermwidget

desktop_entry.path = $$[QT_INSTALL_PREFIX]/share/applications
desktop_entry.files = meego-terminal.desktop

imtoolbar_xml.path = $$[QT_INSTALL_PREFIX]/share/meego-terminal
imtoolbar_xml.files = meego-terminal-toolbar.xml

target.path = $$[QT_INSTALL_PREFIX]/bin

INSTALLS        += target desktop_entry imtoolbar_xml
